﻿using System.Collections.ObjectModel;
using System.Windows;

namespace WpfApp3
{
    public partial class MainWindow : Window
    {
        public ObservableCollection<object> SampleItems { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            SampleItems = new ObservableCollection<object>
            {
                new SampleModel
                {
                    Name = "Group 1",
                    Children = new ObservableCollection<SampleModel>
                    {
                        new SampleModel
                        {
                            Name = "Item 1",
                            IsLastItem = true
                        },
                        new SampleModel
                        {
                            Name = "Item 2",
                            IsLastItem = true
                        },
                        new SampleModel
                        {
                            Name = "Item 3",
                            IsLastItem = true
                        }
                    }
                },
                
                new SampleModel
                {
                    Name = "Group 2",
                    Children = new ObservableCollection<SampleModel>
                    {
                        new SampleModel
                        {
                            Name = "Item 4",
                            IsLastItem = true
                        },
                        new SampleModel
                        {
                            Name = "Item 5",
                            IsLastItem = true
                        },
                        new SampleModel
                        {
                            Name = "Item 6",
                            IsLastItem = true
                        }
                    }
                }
            };
         
            DataContext = SampleItems;
        }
    }
    public class SampleModel
    {
        public SampleModel()
        {
            Children = new ObservableCollection<SampleModel>();
        }
        public string Name { get; set; }
        public bool IsLastItem { get; set; }
        public ObservableCollection<SampleModel> Children { get; set; }
    }
}
